Bug 1396243 - Spinning UI activity overlay stuck/infinite when using advanced search
Summary: Spinning UI activity overlay stuck/infinite when using advanced search
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.7.1
Assignee: Harpreet Kataria
QA Contact: Mike Shriver
URL:
Whiteboard: search:button:filter
Depends On: 1388695
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-17 18:41 UTC by Satoe Imaishi
Modified: 2017-02-27 19:23 UTC (History)
9 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1388695
Environment:
Last Closed: 2017-02-27 19:23:49 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-05 18:45:50 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d5fbf5819599994f49a6ec5c5794b1131b9fc920

commit d5fbf5819599994f49a6ec5c5794b1131b9fc920
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Nov 8 14:18:03 2016 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 5 13:44:03 2017 -0500

    Merge pull request #12373 from h-kataria/automation_tests_adv_search_spinner_fix
    
    Converted form buttons to go thru miqObserveRequest JS method.
    (cherry picked from commit b91ec103422bc02e3775de0df08561e0bb2df887)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1396243

 app/views/layouts/_adv_search_footer.html.haml | 123 +++++++++----------------
 1 file changed, 46 insertions(+), 77 deletions(-)

Comment 3 Mike Shriver 2017-01-27 14:28:45 UTC
Tested on 5.7.1.0.20170124142149_8a5f4d5, using CFME QE automation that originally triggered the bug behavior.

Was unable to reproduce the original bug behavior through automation. Manual filtering continues to work cleanly.

Comment 5 errata-xmlrpc 2017-02-27 19:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.